@media screen and (max-width: 768px) {
  html {
    background-color: white;
  }
}

.mobile-page {
  position: relative;
  overflow-y: auto;
  width: 100%;
  height: 100%;
  max-width: 360px;
  margin: auto;
  padding: 34px;
  font-family: 'Metric-Regular';
  display: flex;
  flex-direction: column;
}

.mobile-logo {
  font-size: 26px;
  font-weight: 400;
  color: #1a1a1a;
  position: relative;
  margin-left: -18px;
}

.mobile-page-title {
  margin: 0 0 24px 0;
}

.mobile-page-title h2 {
  font-size: 26px;
  font-family: 'Metric-Thin';
  color: #686868;
}

.mobile-page-title p {
  margin-top: 10px;
  font-size: 12px;
  color: #1a1a1a;
}

.mobile-page-content {
  flex: 1 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 35px 0;
}

.mobile-page .existing-account-message,
.mobile-page .contact-us-message {
  display: block;
  width: 100%;
  text-align: center;
  font-size: 12px;
}

.mobile-page .existing-account-message {
  margin-bottom: 20px;
}

.mobile-success-message {
  color: #1a1a1a;
  text-align: center;
}

.mobile-success-message h3 {
  font-family: 'Metric-Thin';
  font-size: 26px;
  color: #686868;
  margin-bottom: 32px;
}

.mobile-success-message p {
  line-height: 1.35;
  font-size: 14px;
}

.mobile-api-error-modal {
  position: fixed;
  left: 0;
  right: 0;
  bottom: 0;
  top: 0;
  z-index: 5;
  display: flex;
  align-items: center;
  justify-content: center;
}

.mobile-api-error-modal-background {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.3;
}

.mobile-api-error-modal-content {
  padding: 50px 20px;
  background-color: white;
  border-radius: 4px;
  z-index: 5;
  font-size: 14px;
  color: #1a1a1a;
  text-align: center;
  max-width: 300px;
  width: 100%;
  margin: 0 16px;
  line-height: 1.35;
  position: relative;
}

.mobile-api-error-modal-close-button {
  padding: 13px;
  outline: none;
  border: none;
  background-color: transparent;
  position: absolute;
  top: 0;
  right: 0;
}

.mobile-api-error-modal-close-button img {
  height: 16px;
  width: 16px;
  color: #b6b6b6;
  font-size: 12px;
}

.mobile-api-error-modal-content img {
  margin-bottom: 10px;
}

.mobile-api-error-modal-content a.bold-link {
  color: #ff2b32;
  text-decoration: underline;
}

.mobile-api-error-modal-content a.bold-link:active {
  color: #ab1325;
}

.mobile-select,
.mobile-input {
  width: 100%;
  margin-bottom: 20px;
}

.mobile-select label,
.mobile-input label {
  display: flex;
  flex-direction: column;
  border: 1px solid #b6b6b6;
  border-radius: 2px;
  padding: 6px 8px;
  position: relative;
  width: 100%;
  box-sizing: border-box;
}

.mobile-select label::after,
.mobile-input label::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}

.mobile-select .mobile-select-label-text,
.mobile-input .mobile-input-label-text {
  font-size: 12px;
  line-height: 1;
  color: #1a1a1a;
}

.mobile-select select,
.mobile-input input {
  display: block;
  border: none;
  outline: none;
  box-shadow: none;
  margin: 4px 0 0;
  padding: 0;
  color: #686868;
  -webkit-text-fill-color: #686868;
  font-size: 16px;
  width: 100%;
  line-height: 1;
  background-color: transparent;
}


.mobile-input.disabled label {
  background-color: #f4f4f4;
}

.mobile-input input:disabled {
  opacity: 1;
  color: #686868;
}

/* prevent autofill ugly styles */
.mobile-input input:-webkit-autofill {
  -webkit-text-fill-color: #686868;
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

.mobile-select select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  flex: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  min-width: 0;
  white-space: nowrap;
}

.mobile-select-select-wrapper {
  display: flex;
}

.mobile-select-select-wrapper svg.fa-chevron-down {
  margin: -4px 10px 0;
  width: 12px;
}

.mobile-select .helper-text,
.mobile-input .helper-text {
  display: inline-flex;
  font-size: 12px;
  margin-top: 6px;
  padding-left: 12px;
  color: #686868;
  font-style: italic;
}

.mobile-select.invalid label::after,
.mobile-input.invalid label::after {
  border-bottom: 2px solid #ff4900;
}

.mobile-select.invalid .helper-text,
.mobile-input.invalid .helper-text {
  font-style: normal;
  color: #ff4900;
}

.mobile-button {
  border: none;
  outline: none;
  background-color: transparent;
  font-size: 12px;
  width: 100%;
  text-align: center;
  color: #686868;
  padding: 7px 0 6px;
  margin-bottom: 20px;
  position: relative;
}

.mobile-button.primary {
  border-radius: 2px;
  background-color: #ff2b32;
  font-size: 14px;
  padding: 10px 0 9px;
  color: white;
  font-family: 'Metric-Semibold';
}

.mobile-button.primary span {
  position: relative;
  padding: 0 16px;
}

.mobile-button.primary svg {
  position: absolute;
  right: 0;
  height: 10px;
  top: calc(50% - 4px);
}

.mobile-button.primary:active {
  background-color: #ab1325;
}

.mobile-link {
  color: #ff2b32;
  text-decoration: underline;
  outline: none;
  border: none;
  padding: 0;
  background-color: transparent;
}

.mobile-link:active {
  color: #ab1325;
}

.sso-options.mobile {
  width: 100%;
}

.or-separator.mobile {
  margin: 20px 0;
}

.or-separator.mobile .or {
  padding: 10px;
}

.invite-page.mobile-page .or-separator {
  margin-top: 0;
}

.landing-page.mobile-page .mobile-page-content {
  text-align: center;
}

.landing-page.mobile-page .mobile-page-title {
  margin-bottom: 50px;
}

.landing-page.mobile-page .mobile-page-title h2 {
  font-size: 30px;
}

.landing-page.mobile-page .mobile-page-title p {
  font-size: 14px;
  margin-top: 0;
  color: #686868;
}

.landing-page.mobile-page .landing-body-icon {
  margin-bottom: 6px;
  height: 64px;
}

.landing-page.mobile-page .instructions-message {
  font-size: 14px;
  line-height: 1.2;
  margin: 0 0 50px;
}

.landing-page.mobile-page .instructions-message strong {
  font-family: 'Metric-Semibold';
}
